Package org.eclipse.m2m.atl.adt

# Class AtlNature

java.lang.Object
org.eclipse.m2m.atl.adt.AtlNature

All Implemented Interfaces:
  `org.eclipse.core.resources.IProjectNature`

public class AtlNature extends Object implements org.eclipse.core.resources.IProjectNature
The ATL nature class.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ATL_NATURE_ID`
The Atl nature id.

## Constructor Summary

Constructors
Constructor
Description
`AtlNature()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure()`
`void`
`deconfigure()`
`org.eclipse.core.resources.IProject`
`getProject()`
`void`
`setProject(org.eclipse.core.resources.IProject project)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ATL_NATURE_ID

public static final String ATL_NATURE_ID
The Atl nature id. Each Atl project is added this nature

See Also:
  - Constant Field Values

## Constructor Details

### AtlNature

public AtlNature()

## Method Details

### configure

public void configure() throws org.eclipse.core.runtime.CoreException

Specified by:
  `configure` in interface `org.eclipse.core.resources.IProjectNature`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IProjectNature.configure()`

### deconfigure

public void deconfigure() throws org.eclipse.core.runtime.CoreException

Specified by:
  `deconfigure` in interface `org.eclipse.core.resources.IProjectNature`
Throws:
  `org.eclipse.core.runtime.CoreException`
See Also:
  - `IProjectNature.deconfigure()`

### getProject

public org.eclipse.core.resources.IProject getProject()

Specified by:
  `getProject` in interface `org.eclipse.core.resources.IProjectNature`
See Also:
  - `IProjectNature.getProject()`

### setProject

public void setProject(org.eclipse.core.resources.IProject project)

Specified by:
  `setProject` in interface `org.eclipse.core.resources.IProjectNature`
See Also:
  - `IProjectNature.setProject(org.eclipse.core.resources.IProject)`